
general {
  ignore_empty_input = true
  hide_cursor = true
  grace = 1
  font_family = JetBrainsMono Nerd Font
}

background {
    monitor =
    path = screenshot
    color = rgba(25, 20, 20, 1.0)

    # all these options are taken from hyprland, see https://wiki.hyprland.org/Configuring/Variables/#blur for explanations
    blur_passes = 1 # 0 disables blurring
    blur_size = 4
    size                = 4
    passes              = 2
    ignore_opacity      = true
    new_optimizations   = true
    xray                = false
    noise               = 0.0117
    contrast            = 0.8916
    brightness          = 0.4172
    # vibrancy            = 0.1696
    # vibrancy_darkness   = 0
}

image {
    monitor =
    path = $HOME/.face
    size = 100 # lesser side if not 1:1 ratio
    rounding = -1 # negative values mean circle
    border_size = 2
    border_color = rgba(186, 194, 222, 1)
    rotate = 0 # degrees, counter-clockwise
    reload_time = -1 # seconds between reloading, 0 to reload with SIGUSR2
    reload_cmd =  # command to get new path. if empty, old path will be used. don't run "follow" commands like tail -F

    position = 0, 200
    halign = center
    valign = center
}

label {
    monitor =
    text = cmd[update:1000] echo $TIME
    color = rgba(180, 190, 254, 1.0)
    font_size = 25
    font_family = JetBrainsMono Nerd Font

    position = 0, 80
    halign = center
    valign = center

    shadow_passes = 0
    shadow_size = 3
    shadow_color = rgb(0,0,0)
    shadow_boost = 1.2
}

input-field {
    monitor =
    size = 200, 50
    outline_thickness = 2
    dots_size = 0.24 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.5 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    outer_color = rgb(313244)
    inner_color = rgb(30, 30, 46)
    font_color = rgb(A6ADC8)
    fade_on_empty = false
    placeholder_text = <span foreground='##A6ADC8'>Input Password...</span>
    hide_input = false

    position = 0, 0
    halign = center
    valign = center

    rounding = 0.1
}
